#! /usr/bin/env python

import sys, time, string
from calendar2 import *

def cal(m, y):
    sys.stdout.write('   %s %d\n' % (month_names[m], y))
    sys.stdout.write(' S  M Tu  W Th  F  S\n')
    fst = absolute_from_gregorian(m, 1, y)
    sys.stdout.write('   ' * day_of_week_from_absolute(fst))
    days = gregorian_last_day_of_month(m, y)
    for i in range(1, 1 + days):
	sys.stdout.write('%2d' % i)
	if day_of_week_from_absolute(fst + i) <> 0:
	    sys.stdout.write(' ')
	else:
	    sys.stdout.write('\n')
    if ((day_of_week_from_absolute(fst) + days) / 7) < 5:
	sys.stdout.write('\n')
    sys.stdout.write('\n')

def main():
    if len(sys.argv[1:]) > 2:
	sys.stderr.write('usage: cal [ month [year] ]\n')
	sys.exit(1)
    (y, m) = time.localtime(time.time())[0:2]
    if len(sys.argv[1:]) >= 1:
	m = string.atoi(sys.argv[1])
    if len(sys.argv[1:]) >= 2:
	y = string.atoi(sys.argv[2])
    cal(m, y)

main()
